PolylineVolumeGraphics - Cesium Documentation

# PolylineVolumeGraphics

#### new PolylineVolumeGraphics(options)

  Describes a polyline volume defined as a line strip and corresponding two dimensional shape which is extruded along it. The resulting volume conforms to the curvature of the globe.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `positions` | Property |  | optional A Property specifying the array of `Cartesian3` positions which define the line strip.
  `shape` | Property |  | optional A Property specifying the array of `Cartesian2` positions which define the shape to be extruded.
  `cornerType` | Property | `CornerType.ROUNDED` | optional A `CornerType` Property specifying the style of the corners.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the volume.
  `fill` | Property | `true` | optional A boolean Property specifying whether the volume is filled with the provided material.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the volume.
  `outline` | Property | `false` | optional A boolean Property specifying whether the volume is outlined.
  `outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
  `outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.
  `granularity` | Property | `Cesium.Math.RADIANS_PER_DEGREE` | optional A numeric Property specifying the angular distance between each latitude and longitude point.

  ##### Demo:

  - Cesium Sandcastle Polyline Volume Demo

  ##### See:

  - Entity
  Source: DataSources/PolylineVolumeGraphics.js, line 42

### Members

#### cornerType :Property

  Gets or sets the `CornerType` Property specifying the style of the corners.
  Default Value: `CornerType.ROUNDED`
  Source: DataSources/PolylineVolumeGraphics.js, line 158

#### readonlydefinitionChanged :Event

  Gets the event that is raised whenever a property or sub-property is changed or modified.
  Source: DataSources/PolylineVolumeGraphics.js, line 76

#### fill :Property

  Gets or sets the boolean Property specifying whether the volume is filled with the provided material.
  Default Value: `true`
  Source: DataSources/PolylineVolumeGraphics.js, line 126

#### granularity :Property

  Gets or sets the numeric Property specifying the angular distance between points on the volume.
  Default Value: `{CesiumMath.RADIANS_PER_DEGREE}`
  Source: DataSources/PolylineVolumeGraphics.js, line 118

#### material :MaterialProperty

  Gets or sets the Property specifying the material used to fill the volume.
  Default Value: `Color.WHITE`
  Source: DataSources/PolylineVolumeGraphics.js, line 96

#### outline :Property

  Gets or sets the Property specifying whether the volume is outlined.
  Default Value: `false`
  Source: DataSources/PolylineVolumeGraphics.js, line 134

#### outlineColor :Property

  Gets or sets the Property specifying the `Color` of the outline.
  Default Value: `Color.BLACK`
  Source: DataSources/PolylineVolumeGraphics.js, line 142

#### outlineWidth :Property

  Gets or sets the numeric Property specifying the width of the outline.
  Default Value: `1.0`
  Source: DataSources/PolylineVolumeGraphics.js, line 150

#### positions :Property

  Gets or sets the Property specifying the array of `Cartesian3` positions which define the line strip.
  Source: DataSources/PolylineVolumeGraphics.js, line 103

#### shape :Property

  Gets or sets the Property specifying the array of `Cartesian2` positions which define the shape to be extruded.
  Source: DataSources/PolylineVolumeGraphics.js, line 110

#### show :Property

  Gets or sets the boolean Property specifying the visibility of the volume.
  Default Value: `true`
  Source: DataSources/PolylineVolumeGraphics.js, line 88

### Methods

#### clone(result) → PolylineVolumeGraphics

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | PolylineVolumeGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.
  Source: DataSources/PolylineVolumeGraphics.js, line 167

#### merge(source)

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | PolylineVolumeGraphics | The object to be merged into this object.

  Source: DataSources/PolylineVolumeGraphics.js, line 190